psf2wyse(1)

NAME
psf2wyse - convert a PC Screen Font file to a Wyse-60 soft font

SYNOPSIS
psf2wyse [--bank=BANK] [--dest=DEST] [--height=HEIGHT] [--first=FIRST] [--last=LAST] [--nulls=COUNT] [INPUTFILE [OUTPUTFILE]]

DESCRIPTION

psf2wyse converts a font in the .PSF format to a soft-font suitable for use with Wyse-60 and compatible terminals. The resulting soft-font can be saved as a text file, or just sent straight to the terminal.

OPTIONS

--bank=BANK
    The Wyse-60 has four banks of 128 characters each, numbered 0 to 3. By default the first two contain the 16-pixel font used in 25-line modes, and the second two contain the 9-pixel font used in 43-line modes. This option sets the first bank to load into; note that psf2wyse will load into subsequent banks if there are more characters in the font than will fit into one.

--dest=DEST
    Specifies the first character to populate in the destination bank. By default this is zero.

--first=FIRST
    Starts generating the font at character FIRST.

--last=LAST
    Finishes generating the font after doing character LAST.

--height=HEIGHT
    Sets the height of the characters which will be sent to the terminal. By default this is 16, whatever the height of the font being converted; on a Wyse-60, attempts to define characters at other heights appear to be ignored.

--nulls=COUNT
    After sending the definition for a character, send COUNT null bytes. This appears to be necessary to make sure the terminal doesn't miss the start of a character while it's still processing the previous character. By default COUNT is 8.

BUGS
The terminal screen tends to flicker like crazy while characters not in the current bank are being defined.

SEE ALSO
pat2sf(1), sf2pat(1), wyse2psf(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.